criterion-1.1.0.0: Robust, reliable performance measurement and analysis

Copyright | (c) 2014 Bryan O'Sullivan
License | BSD-style
Maintainer | bos@serpentine.com
Stability | experimental
Portability | GHC
Safe Haskell | None
Language | Haskell98

Criterion.Main.Options

Description

Benchmarking command-line configuration.

Synopsis

- data Mode
  - = List
  - | Version
  - | OnlyRun Int64 MatchType [String]
  - | Run Config MatchType [String]
- data MatchType
  - = Prefix
  - | Glob
- defaultConfig :: Config
- parseWith :: Config -> Parser Mode
- describe :: Config -> ParserInfo Mode
- versionInfo :: String

# Documentation

data Mode Source

Execution mode for a benchmark program.

Constructors

List | List all benchmarks.
Version | Print the version.
OnlyRun Int64 MatchType [String] | Run the given benchmarks, without collecting or analysing performance numbers.
Run Config MatchType [String] | Run and analyse the given benchmarks.

Instances

Eq Mode Source |
Data Mode Source |
Read Mode Source |
Show Mode Source |
Generic Mode Source |
type Rep Mode Source |

data MatchType Source

How to match a benchmark name.

Constructors

Prefix | Match by prefix. For example, a prefix of `"foo"` will match `"foobar"`.
Glob | Match by Unix-style glob pattern.

Instances

Bounded MatchType Source |
Enum MatchType Source |
Eq MatchType Source |
Data MatchType Source |
Ord MatchType Source |
Read MatchType Source |
Show MatchType Source |
Generic MatchType Source |
type Rep MatchType Source |

defaultConfig :: Config Source

Default benchmarking configuration.

parseWith Source

Arguments

:: Config | Default configuration to use if options are not explicitly specified.
-> Parser Mode |

Parse a command line.

describe :: Config -> ParserInfo Mode Source

Flesh out a command line parser.

versionInfo :: String Source

A string describing the version of this benchmark (really, the version of criterion that was used to build it).